Bug 1499552 - Automate r.g.o. certificate renewal
Summary: Automate r.g.o. certificate renewal
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: GlusterFS
Classification: Community
Component: project-infrastructure
Version: mainline
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-08 14:13 UTC by Atin Mukherjee
Modified: 2018-10-15 02:22 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-15 02:22:40 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Atin Mukherjee 2017-10-08 14:13:30 UTC
Description of problem:

When I try to access r.g.o, it's throwing the following error:

"review.gluster.org uses an invalid security certificate. The certificate expired on October 8, 2017, 5:17 PM. The current time is October 8, 2017, 7:38 PM. Error code: SEC_ERROR_EXPIRED_CERTIFICATE "

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 M. Scherer 2017-10-09 12:10:15 UTC
Nigel did solve it yesterday. 

We have a cronjob that do the certicate renewal, but I will need to investigate what did broke (gerrit is a special snowflake where we can't use our existing automation, so maybe a bug is still present).

Comment 2 Amar Tumballi 2018-10-12 17:36:40 UTC
Considering all is well in last 1 year, should we close this?

Comment 3 Nigel Babu 2018-10-15 02:22:40 UTC
The last certificate renewal was on Sep 20. The bugs we had in the automation seems fixed.


Note You need to log in before you can comment on or make changes to this bug.